From 2c52aad417849abe7930aed34b5a09e4fca3bb28 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 1 Jul 2024 21:21:11 +0300
Subject: [PATCH 8/8] Fix doc/ typos found by codespell

See RM #746

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 doc/CodingStyle     | 2 +-
 doc/HACKING         | 4 ++--
 doc/INSTALL.meson   | 2 +-
 doc/README.actions  | 6 +++---
 doc/README.crosser  | 2 +-
 doc/README.effects  | 2 +-
 doc/README.graphics | 2 +-
 doc/README.nations  | 2 +-
 8 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/doc/CodingStyle b/doc/CodingStyle
index f06dbc59c3..b01a9c95c1 100644
--- a/doc/CodingStyle
+++ b/doc/CodingStyle
@@ -26,7 +26,7 @@ but wars are fought over the silliest things ...
   1) You are using C99 dynamic arrays and you need to check the size
      of the array before you declare it.
   2) Variable in question is declared only conditionally to some preprocessor
-     macro, and there's separate code block similary conditional to the same
+     macro, and there's separate code block similarly conditional to the same
      macro that would use it. In that case it's ok to declare the variable
      inside the macro guarded block that is using it.
 
diff --git a/doc/HACKING b/doc/HACKING
index 1b7fa84c88..f3c35e5757 100644
--- a/doc/HACKING
+++ b/doc/HACKING
@@ -965,7 +965,7 @@ The user entity will allow users to be identified when they reconnect.
 Ideally, users would be identified with unique global ids, handed out
 by a 'registry service' similar to the metaserver, but this would be
 too cumbersome in practice.  So the plan is to make users persist in
-a server session (even whan a game is started, or restarted when that
+a server session (even when a game is started, or restarted when that
 option is added) and make them persist across games (when a saved
 game is loaded in a different server session).
 
@@ -1095,7 +1095,7 @@ server/stdinhand.[ch]
 
 When a player starts a client, they are presented with several options:
 start a new game, continue a saved game and connect to a networked game.
-For the latter option, connect_to_server() is called and login proceeeds as
+For the latter option, connect_to_server() is called and login proceeds as
 normal. The first two options, connectdlg_common.c:client_start_server() is
 called. Here, a server is spawned, standard input and outputs to that process
 are closed, and then connect_to_server() is called so the client connects to
diff --git a/doc/INSTALL.meson b/doc/INSTALL.meson
index 86878b333a..5015125178 100644
--- a/doc/INSTALL.meson
+++ b/doc/INSTALL.meson
@@ -174,7 +174,7 @@ appimage (boolean):
   doesn't work outside AppImage.
 
 gen-packets-args (array):
-  Aditional packet generator arguments passed to common/generate_packets.py.
+  Additional packet generator arguments passed to common/generate_packets.py.
 
 qtver ('qt5'/'qt6'):
   Whether to build Qt5 or Qt6 versions of the binaries.
diff --git a/doc/README.actions b/doc/README.actions
index 17d541b09c..d9386b4a8e 100644
--- a/doc/README.actions
+++ b/doc/README.actions
@@ -300,13 +300,13 @@ Actions done by a unit against a city
  * actor must be aware that the target exists
  * actor must be on the same tile as the target or on the tile next to it.
 
-"Sabotage City Production" - Sabotage the city's produciton.
+"Sabotage City Production" - Sabotage the city's production.
  * UI name can be set using ui_name_sabotage_city_production
  * spends the actor unit
  * actor must be aware that the target exists
  * actor must be on the same tile as the target or on the tile next to it.
 
-"Sabotage City Production Escape" - Sabotage the city's produciton.
+"Sabotage City Production Escape" - Sabotage the city's production.
  * UI name can be set using ui_name_sabotage_city_production_escape
  * actor must be aware that the target exists
  * actor must be on the same tile as the target or on the tile next to it.
@@ -455,7 +455,7 @@ Actions done by a unit against a city
    can't have any trade routes at all it is impossible to establish a new
    one.)
 
-"Enter Marketplace" - Get a one time bounus without creating a trade route.
+"Enter Marketplace" - Get a one time bonus without creating a trade route.
  * UI name can be set using ui_name_enter_marketplace
  * actor must be aware that the target exists
  * any action listed in enter_marketplace_blocked_by must be impossible
diff --git a/doc/README.crosser b/doc/README.crosser
index 528b4dd353..4c24f1d861 100644
--- a/doc/README.crosser
+++ b/doc/README.crosser
@@ -69,6 +69,6 @@ or
 on windows/installer_cross/.
 Currently these scripts need to be run on their own
 directory, and they produce their output there
-(wihin freeciv tree). If everything success, final
+(within freeciv tree). If everything success, final
 installers are generated to meson/output/
 or autotools/output/
diff --git a/doc/README.effects b/doc/README.effects
index 276b2e14cc..ab5b496cda 100644
--- a/doc/README.effects
+++ b/doc/README.effects
@@ -17,7 +17,7 @@ reqs  =
 The text in the brackets is the entry name, which just has to be unique, but
 is otherwise not used. The 'type' tells Freeciv which effect type
 is being added. If effect is active, 'value' gets added to the total of
-the effect type's current value (i.e. values of individial effect entries
+the effect type's current value (i.e. values of individual effect entries
 are cumulataive.) What that (total) value is actually used for depends
 on effect type. The 'reqs' table contain a list of requirements for
 this effect being in active. You need to satisfy all requirements
diff --git a/doc/README.graphics b/doc/README.graphics
index f17671f7f4..4a7fe6e8c0 100644
--- a/doc/README.graphics
+++ b/doc/README.graphics
@@ -441,7 +441,7 @@ sprites.
   matched sprites       : If the terrain has a match type or is layered, a
                           set of matched sprites is needed. This consists of
                           16 sprites with tags "t.<terrain>_n<V>e<V>s<V>w<V>"
-                          (e.g., "t.hills_n0e0s1w0". Each direcional value
+                          (e.g., "t.hills_n0e0s1w0". Each directional value
                           <V> is either 0 or 1. Note that the directions are
                           in map coordinates, so n (north) in iso-view is
                           northeast on the mapview. (Note this only applies
diff --git a/doc/README.nations b/doc/README.nations
index 1733a315cf..969e725c70 100644
--- a/doc/README.nations
+++ b/doc/README.nations
@@ -217,7 +217,7 @@ Contents and Style:
 What nations can be added to Freeciv?
 =====================================
 
-A nation in Freeciv should preferrably be a current independent country
+A nation in Freeciv should preferably be a current independent country
 or a historical kingdom or realm. A nation that is currently governed
 by or the part of a greater political entity, or in other ways lacks
 complete independence could in most cases be made a Freeciv nation as
-- 
2.43.0