From 80d5e2765c128d9e7a2291e9ce4829113e6195e5 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 8 Jul 2024 22:27:01 +0300
Subject: [PATCH 23/23] Nations: Clear trailing spaces

See RM #754

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/nation/donetsk.ruleset    |  2 +-
 data/nation/northirish.ruleset |  4 +-
 data/nation/tokiponan.ruleset  | 94 +++++++++++++++++-----------------
 3 files changed, 50 insertions(+), 50 deletions(-)

diff --git a/data/nation/donetsk.ruleset b/data/nation/donetsk.ruleset
index a7708c9b6b..96771c678e 100644
--- a/data/nation/donetsk.ruleset
+++ b/data/nation/donetsk.ruleset
@@ -28,7 +28,7 @@ legend = _("The Donetsk People's Republic is an unrecognised republic of\
 
 leaders = {
  "name",                          "sex"
- "Alexander Zakharchenko",        "Male"   ; (1976–2018) Head of the Donetsk People's Republic from 4 November 2014 – 31 August 2018 
+ "Alexander Zakharchenko",        "Male"   ; (1976–2018) Head of the Donetsk People's Republic from 4 November 2014 – 31 August 2018
  "Dmitry Trapeznikov",            "Male"   ; Head of the Donetsk People's Republic from 31 August 2018 – 7 September 2018
  "Denis Pushilin",                "Male"   ; Head of the Donetsk People's Republic since 7 September 2018
  "Elena Pushilina",               "Female" ; Denis Pushilin's wife
diff --git a/data/nation/northirish.ruleset b/data/nation/northirish.ruleset
index 88c323fa2f..b3aeb96d79 100644
--- a/data/nation/northirish.ruleset
+++ b/data/nation/northirish.ruleset
@@ -47,8 +47,8 @@ init_techs = ""
 init_buildings = ""
 init_units = ""
 
-;conflicts_with = 
-civilwar_nations = "irish", "british", "english", "gaelic", "scottish gaelic" 
+;conflicts_with =
+civilwar_nations = "irish", "british", "english", "gaelic", "scottish gaelic"
 
 cities = ; Cities sourced from geoba.se
   "Belfast",
diff --git a/data/nation/tokiponan.ruleset b/data/nation/tokiponan.ruleset
index 301b8abfc3..7c2535f1f9 100644
--- a/data/nation/tokiponan.ruleset
+++ b/data/nation/tokiponan.ruleset
@@ -30,51 +30,51 @@ civilwar_nations = "papuanewguinean", "finnish", "serbian", "croatian", "esperan
 ; https://github.com/jan-Lope/Toki_Pona-Parser/blob/master/toki-pona-unofficial-words-cities.pro
 ; with minor corrections from wikipesija.org
 cities =
- "Akajela",      ; Al-Qahirah, Kairo (Capital of Egypt) 
- "Alana",        ; Atlanta (USA) 
- "Alawa",        ; Ottawa (Capital of Canada) 
- "Alenta",       ; Atlanta (USA) 
- "Alipasi",      ; Halifax (Canada) 
- "Anpu",         ; Hamburg (Germany) 
- "Ansetan",      ; Amsterdam (Capital of Netherlands) 
- "Asina",        ; Athen (Capital of Greece) 
- "Esupo",        ; Espoo (Finland) 
- "Iwesun",       ; Hilversum (Netherlands)  
- "Kakawi",       ; Calgary (Canada) 
- "Kenpisi",      ; Cambridge (USA, UK) 
- "Kunte",        ; Krung Thep; Bangkok (Capital of Thailand) 
+ "Akajela",      ; Al-Qahirah, Kairo (Capital of Egypt)
+ "Alana",        ; Atlanta (USA)
+ "Alawa",        ; Ottawa (Capital of Canada)
+ "Alenta",       ; Atlanta (USA)
+ "Alipasi",      ; Halifax (Canada)
+ "Anpu",         ; Hamburg (Germany)
+ "Ansetan",      ; Amsterdam (Capital of Netherlands)
+ "Asina",        ; Athen (Capital of Greece)
+ "Esupo",        ; Espoo (Finland)
+ "Iwesun",       ; Hilversum (Netherlands)
+ "Kakawi",       ; Calgary (Canada)
+ "Kenpisi",      ; Cambridge (USA, UK)
+ "Kunte",        ; Krung Thep; Bangkok (Capital of Thailand)
  "Lantan",       ; London (Caiptal of UK)
- "Lesinki",      ; Helsinki; Helsingfors (Capital of Finnland) 
- "Loma",         ; Rome (Capital of Italy) 
- "Losansele",    ; Los Angeles (USA) 
- "Manten",       ; Moncton (Canada) 
- "Mesiko",       ; Mexiko-Stadt (Capital of Mexiko) 
- "Milano",       ; Milan (Italy) 
- "Minsen",       ; Munich (Germany) 
- "Monkela",      ; Montreal (Canada) 
- "Napoli",       ; Napoli, Neapel (Italy) 
- "Nujoka",       ; New York City (USA) 
- "Osaka",        ; Osaka (Japan)  
- "Paki",         ; Paris (Capital of France) 
- "Pasen",        ; Boston (USA) 
- "Pelin",        ; Berlin (Capital of Germany) 
- "Peminan",      ; Birmingham (England)  
- "Pesin",        ; Beijing; Peking (Capital of China) 
- "Pilense",      ; Florenz (Italy) 
- "Polan",        ; Portland (USA) 
- "Putapesi",     ; Budapest (Capital of Hungary) 
- "Sakata",       ; Jakarta (Capital of Indonesia) 
- "Sanpansiko",   ; San Francisco (USA) 
- "Sawi",         ; Sackville (Canada) 
- "Sene",         ; Genf (Switzerland) 
- "Sensan",       ; St. John"s (Canada) 
- "Sesija",       ; Shediac (Canada) 
- "Sije",         ; Dieppe (Canada) 
- "Solu",         ; Seoul (Capital of South Korea) 
- "Tanpele",      ; Tampere (Finland) 
- "Telawi",       ; Tel Aviv (Israel) 
- "Tokijo",       ; Tokyo; Tokio (Capital of Japan)  
- "Towano",       ; Toronto (Canada) 
- "Tuku",         ; Turku (Finland) 
- "Wankuwa",      ; Vancouver (Canada) 
- "Wenesija"      ; Venedig (Italy) 
+ "Lesinki",      ; Helsinki; Helsingfors (Capital of Finnland)
+ "Loma",         ; Rome (Capital of Italy)
+ "Losansele",    ; Los Angeles (USA)
+ "Manten",       ; Moncton (Canada)
+ "Mesiko",       ; Mexiko-Stadt (Capital of Mexiko)
+ "Milano",       ; Milan (Italy)
+ "Minsen",       ; Munich (Germany)
+ "Monkela",      ; Montreal (Canada)
+ "Napoli",       ; Napoli, Neapel (Italy)
+ "Nujoka",       ; New York City (USA)
+ "Osaka",        ; Osaka (Japan)
+ "Paki",         ; Paris (Capital of France)
+ "Pasen",        ; Boston (USA)
+ "Pelin",        ; Berlin (Capital of Germany)
+ "Peminan",      ; Birmingham (England)
+ "Pesin",        ; Beijing; Peking (Capital of China)
+ "Pilense",      ; Florenz (Italy)
+ "Polan",        ; Portland (USA)
+ "Putapesi",     ; Budapest (Capital of Hungary)
+ "Sakata",       ; Jakarta (Capital of Indonesia)
+ "Sanpansiko",   ; San Francisco (USA)
+ "Sawi",         ; Sackville (Canada)
+ "Sene",         ; Genf (Switzerland)
+ "Sensan",       ; St. John"s (Canada)
+ "Sesija",       ; Shediac (Canada)
+ "Sije",         ; Dieppe (Canada)
+ "Solu",         ; Seoul (Capital of South Korea)
+ "Tanpele",      ; Tampere (Finland)
+ "Telawi",       ; Tel Aviv (Israel)
+ "Tokijo",       ; Tokyo; Tokio (Capital of Japan)
+ "Towano",       ; Toronto (Canada)
+ "Tuku",         ; Turku (Finland)
+ "Wankuwa",      ; Vancouver (Canada)
+ "Wenesija"      ; Venedig (Italy)
-- 
2.43.0