From d6d73ed97fb1f0f0c1cad6e2ee0ceec9b4c449f0 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Wed, 31 Jul 2024 02:32:35 +0300
Subject: [PATCH 20/20] Art: Move storm sprites to main units.png

See RM #425

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/amplio2/extra_units.png  | Bin 258794 -> 242473 bytes
 data/amplio2/extra_units.spec |   2 +-
 data/amplio2/units.png        | Bin 72005 -> 124538 bytes
 data/amplio2/units.spec       |   1 +
 data/trident/extra_units.png  | Bin 74217 -> 74242 bytes
 data/trident/extra_units.spec |   1 -
 data/trident/units.png        | Bin 16086 -> 16392 bytes
 data/trident/units.spec       |   1 +
 8 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/data/amplio2/extra_units.png b/data/amplio2/extra_units.png
index ad8ef52ec9b08896a7ecf37ad8430883986a8235..38a6d8ce1c8e3e510e8d031134bc8cfa5ef2d299 100644
GIT binary patch
diff --git a/data/amplio2/extra_units.spec b/data/amplio2/extra_units.spec
index 97457e7063..92c2baa7ca 100644
--- a/data/amplio2/extra_units.spec
+++ b/data/amplio2/extra_units.spec
@@ -125,6 +125,6 @@ tiles = { "row", "column", "tag"
  10, 10, "u.elephant_Idle"
  10, 11, "u.polar_bear_Idle"
  10, 12, "u.squid_Idle"
- 10, 13, "u.storm_Idle"
+
  10, 14, "u.mammoth_Idle"
 }
diff --git a/data/amplio2/units.png b/data/amplio2/units.png
index b8af4afbfc197129629c56bd5666827c025f1898..b2b8c1d144c7ce3bd8ddfa6dd69f9e27446b1bba 100644
GIT binary patch
diff --git a/data/amplio2/units.spec b/data/amplio2/units.spec
index 999212c383..5ff9292aae 100644
--- a/data/amplio2/units.spec
+++ b/data/amplio2/units.spec
@@ -104,6 +104,7 @@ tiles = { "row", "column", "tag"
   2, 15, "u.leader_Idle"        ; [GB]
   2, 16, "u.barbarian_leader_Idle" ; FiftyNine
   2, 17, "u.migrants_Idle"      ; Eleazar
+  2, 18, "u.storm_Idle"
 ;  2, 19, "u.train_Idle"        ; Eleazar
 
 }
diff --git a/data/trident/extra_units.png b/data/trident/extra_units.png
index 5eee7328da521bfe4f411b382d72c2b8c373434a..4fa51da6e438b5fa1fccc735cf354289a2d6eba5 100644
GIT binary patch
diff --git a/data/trident/extra_units.spec b/data/trident/extra_units.spec
index c7779ef7b4..cc29862602 100644
--- a/data/trident/extra_units.spec
+++ b/data/trident/extra_units.spec
@@ -133,6 +133,5 @@ tiles = { "row", "column", "tag"
  10, 10, "u.elephant_Idle"
  10, 11, "u.polar_bear_Idle"
  10, 12, "u.squid_Idle"
- 10, 13, "u.storm_Idle"
 
 }
diff --git a/data/trident/units.png b/data/trident/units.png
index 140e3ecf8f9aaf14c3a6ea81090f72cf8029a9da..e7d15f64df4955225a722dfcc5c7938f2e162e53 100644
GIT binary patch
diff --git a/data/trident/units.spec b/data/trident/units.spec
index ce6f36de87..b39916d331 100644
--- a/data/trident/units.spec
+++ b/data/trident/units.spec
@@ -61,6 +61,7 @@ tiles = { "row", "column", "tag"
   1, 15, "u.galleon_Idle"
   1, 16, "u.partisan_Idle"
   1, 17, "u.pikemen_Idle"
+  1, 18, "u.storm_Idle"
   2,  0, "u.marines_Idle"
   2,  1, "u.spy_Idle"
   2,  2, "u.engineers_Idle"
-- 
2.43.0