From 8afe762c380f5bdbc590c173ff812ae0f7a2b5e9 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sun, 11 Aug 2024 07:22:49 +0300
Subject: [PATCH 21/21] Document sdl3-client in man-pages

See RM #786

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 doc/man/Makefile.am         |  1 +
 doc/man/freeciv-client.6.in | 25 ++++++++++++++++---------
 doc/man/freeciv-sdl3.6      | 12 ++++++++++++
 meson.build                 |  1 +
 4 files changed, 30 insertions(+), 9 deletions(-)
 create mode 100644 doc/man/freeciv-sdl3.6

diff --git a/doc/man/Makefile.am b/doc/man/Makefile.am
index a76628b314..5c15dacf8a 100644
--- a/doc/man/Makefile.am
+++ b/doc/man/Makefile.am
@@ -13,6 +13,7 @@ MAN_LINKS = 			\
 	freeciv-gtk3.22.6	\
 	freeciv-gtk4.6		\
 	freeciv-sdl2.6		\
+	freeciv-sdl3.6		\
 	freeciv-qt.6		\
 	freeciv-mp-gtk3.6	\
 	freeciv-mp-gtk4.6	\
diff --git a/doc/man/freeciv-client.6.in b/doc/man/freeciv-client.6.in
index 9eaf83302e..ab9a4e391d 100644
--- a/doc/man/freeciv-client.6.in
+++ b/doc/man/freeciv-client.6.in
@@ -11,10 +11,10 @@
 .\"
 .TH FREECIV 6 "June 28th 2023"
 .SH NAME
-freeciv-gtk3.22, freeciv-gtk4, freeciv-sdl2, freeciv-qt \
+freeciv-gtk3.22, freeciv-gtk4, freeciv-sdl2, freeciv-sdl3, freeciv-qt \
 \- The clients for the Freeciv game
 .SH SYNOPSIS
-.B freeciv-gtk3.22|freeciv-gtk4|freeciv-sdl2|freeciv-qt \
+.B freeciv-gtk3.22|freeciv-gtk4|freeciv-sdl2|freeciv-sdl3|freeciv-qt \
 [ \-A|\-\-Announce \fIprotocol\fP ] \
 [ \-a|\-\-autoconnect ] \
 [ \-d|\-\-debug \fIlevel\fP ] \
@@ -58,6 +58,13 @@ accepts the following parameters following \fB\-\-\fP:
 [ \-s|\-\-swrenderer ] \
 [ \-t|\-\-theme \fIstring\fP ]
 
+.B freeciv-sdl3
+accepts the following parameters following \fB\-\-\fP:
+.B [ \-f|\-\-fullscreen ] \
+[ \-F|\-\-Font \fsize\fP ] \
+[ \-h|\-\-help ] \
+[ \-t|\-\-theme \fIstring\fP ]
+
 .SH DESCRIPTION
 Freeciv is a free turn-based multiplayer strategy game, in which each player
 becomes the leader of a civilization, fighting to obtain the ultimate goal:
@@ -71,13 +78,13 @@ easily one of the most fun and addictive network games out there!
 
 This is the client program used to connect to a Freeciv server - see also
 .IR freeciv-server (6)
-\&. \fBfreeciv-gtk3.22\fP, \fBfreeciv-gtk4\fP, \fBfreeciv-qt\fP, and
-\fBfreeciv-sdl2\fP
+\&. \fBfreeciv-gtk3.22\fP, \fBfreeciv-gtk4\fP, \fBfreeciv-qt\fP,
+\fBfreeciv-sdl2\fP, and \fBfreeciv-sdl3\fP
 can also spawn their own local server for single-player games.
 
 This manual page only lists the command line arguments. For more details
 about using \fBfreeciv-gtk3.22\fP, \fBfreeciv-gtk4\fP,
-\fBfreeciv-sdl2\fP, or \fBfreeciv-qt\fP,
+\fBfreeciv-sdl2\fP, \fBfreeciv-sdl3\fP, or \fBfreeciv-qt\fP,
 see the Client Manual which can be found at
 .UR @HOMEPAGE_URL@
 the Freeciv website
@@ -207,7 +214,7 @@ parameters.
 .TP
 .BI "\-\- \-f, \-\- \-\-fullscreen"
 Starts the client in full screen mode.  Only implemented in the
-\fBfreeciv-sdl2\fP client.
+\fBfreeciv-sdl2\fP and \fBfreeciv-sdl3\fP clients.
 .TP
 .BI "\-\- \-h, \-\- \-\-help"
 Print the client-specific parameter help.
@@ -218,15 +225,15 @@ Behave as if screen resolution were WIDTHxHEIGHT. Only implemented in the
 .TP
 .BI "\-\- \-t \fItheme\fP, \-\- \-\-theme \fItheme\fP"
 Use a particular GUI theme. Only implemented in the
-\fBfreeciv-sdl2\fP client.
+\fBfreeciv-sdl2\fP and \fBfreeciv-sdl3\fP clients.
 .SH "EXAMPLES"
 .TP
 .B "freeciv-gtk3.22 \-\-name ""King Richard"" \-\-server io.daimi.aau.dk"
 Starts the GTK3.22 client using the name \fIKing Richard\fP and connecting
 to the server at \fIio.daimi.aau.dk\fP.
 .TP
-.B freeciv-sdl2 \-a \-t trident
-Starts the SDL2-client with the \fItrident\fP tiles and autoconnects to
+.B freeciv-sdl3 \-a \-t trident
+Starts the SDL3-client with the \fItrident\fP tiles and autoconnects to
 \fIlocalhost\fP.
 .SH FILES
 .TP
diff --git a/doc/man/freeciv-sdl3.6 b/doc/man/freeciv-sdl3.6
new file mode 100644
index 0000000000..7b834993db
--- /dev/null
+++ b/doc/man/freeciv-sdl3.6
@@ -0,0 +1,12 @@
+.so man6/freeciv-client.6
+.\" Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
+.\"   This program is free software; you can redistribute it and/or modify
+.\"   it under the terms of the GNU General Public License as published by
+.\"   the Free Software Foundation; either version 2, or (at your option)
+.\"   any later version.
+.\"
+.\"   This program is distributed in the hope that it will be useful,
+.\"   but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\"   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\"   GNU General Public License for more details.
+.\"
diff --git a/meson.build b/meson.build
index 53fad81dc5..4704d56646 100644
--- a/meson.build
+++ b/meson.build
@@ -1057,6 +1057,7 @@ man_links = [
   'freeciv-gtk3.22',
   'freeciv-gtk4',
   'freeciv-sdl2',
+  'freeciv-sdl3',
   'freeciv-qt',
   'freeciv-mp-gtk3',
   'freeciv-mp-gtk4',
-- 
2.43.0