From 836b6947dd47e6d67259c3ba2ee29dac86eb7e09 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 12 Aug 2024 06:36:40 +0300
Subject: [PATCH 11/11] Correct "symetry" to "symmetry"

See RM #787

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 server/generator/mapgen.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

diff --git a/server/generator/mapgen.c b/server/generator/mapgen.c
index f343f1a17a..ac1c05f790 100644
--- a/server/generator/mapgen.c
+++ b/server/generator/mapgen.c
@@ -2684,50 +2684,50 @@ static int fair_team_placement_vertical(const void *a, const void *b)
 }
 
 /**********************************************************************//**
-  Symetry matrix.
+  Symmetry matrix.
 **************************************************************************/
-static void fair_do_symetry1(int *x, int *y)
+static void fair_do_symmetry1(int *x, int *y)
 {
   *x = -*x;
 }
 
 /**********************************************************************//**
-  Symetry matrix.
+  Symmetry matrix.
 **************************************************************************/
-static void fair_do_symetry2(int *x, int *y)
+static void fair_do_symmetry2(int *x, int *y)
 {
   *y = -*y;
 }
 
 /**********************************************************************//**
-  Symetry matrix for hexagonal topologies.
+  Symmetry matrix for hexagonal topologies.
 **************************************************************************/
-static void fair_do_hex_symetry1(int *x, int *y)
+static void fair_do_hex_symmetry1(int *x, int *y)
 {
   *x = -(*x + *y);
 }
 
 /**********************************************************************//**
-  Symetry matrix for hexagonal topologies.
+  Symmetry matrix for hexagonal topologies.
 **************************************************************************/
-static void fair_do_hex_symetry2(int *x, int *y)
+static void fair_do_hex_symmetry2(int *x, int *y)
 {
   *x = -*x;
   *y = -*y;
 }
 
 /**********************************************************************//**
-  Symetry matrix for hexgonal-isometric topology.
+  Symmetry matrix for hexgonal-isometric topology.
 **************************************************************************/
-static void fair_do_iso_hex_symetry1(int *x, int *y)
+static void fair_do_iso_hex_symmetry1(int *x, int *y)
 {
   *y = *x - *y;
 }
 
-#define fair_do_iso_hex_symetry2 fair_do_rotation
+#define fair_do_iso_hex_symmetry2 fair_do_rotation
 
 /**********************************************************************//**
-  Rotation matrix, also symetry matrix for hexagonal-isometric topology.
+  Rotation matrix, also symmetry matrix for hexagonal-isometric topology.
 **************************************************************************/
 static void fair_do_rotation(int *x, int *y)
 {
@@ -2781,10 +2781,10 @@ static void fair_geometry_rand(struct fair_geometry_data *data)
 
   if (!current_topo_has_flag(TF_HEX)) {
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_symetry1;
+      data->transform[i++] = fair_do_symmetry1;
     }
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_symetry2;
+      data->transform[i++] = fair_do_symmetry2;
     }
     if (fc_rand(100) < 50) {
       data->transform[i++] = fair_do_rotation;
@@ -2793,10 +2793,10 @@ static void fair_geometry_rand(struct fair_geometry_data *data)
     int steps;
 
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_hex_symetry1;
+      data->transform[i++] = fair_do_hex_symmetry1;
     }
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_hex_symetry2;
+      data->transform[i++] = fair_do_hex_symmetry2;
     }
     /* Rotations have 2 steps on hexgonal topologies. */
     for (steps = fc_rand(99) % 3; steps > 0; steps--) {
@@ -2806,10 +2806,10 @@ static void fair_geometry_rand(struct fair_geometry_data *data)
     int steps;
 
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_iso_hex_symetry1;
+      data->transform[i++] = fair_do_iso_hex_symmetry1;
     }
     if (fc_rand(100) < 50) {
-      data->transform[i++] = fair_do_iso_hex_symetry2;
+      data->transform[i++] = fair_do_iso_hex_symmetry2;
     }
     /* Rotations have 2 steps on hexgonal topologies. */
     for (steps = fc_rand(99) % 3; steps > 0; steps--) {
-- 
2.43.0