From a121a06d5e065f9bb26fc5593613281caeb28486 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 15 Aug 2024 17:15:10 +0300
Subject: [PATCH 17/17] Sandbox: Correct MinVeteran requirements' format

The value was given as an integer, though it should
be a string.

See RM #784

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/sandbox/actions.ruleset | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/sandbox/actions.ruleset b/data/sandbox/actions.ruleset
index 5576eb1b3e..673fb2a578 100644
--- a/data/sandbox/actions.ruleset
+++ b/data/sandbox/actions.ruleset
@@ -1901,7 +1901,7 @@ actor_reqs    =
       "UnitTypeFlag", "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",    1,             "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "ExtraFlag",    "ParadropFrom", "Tile",  TRUE
       "DiplRel",      "Peace",        "Local", FALSE
       "DiplRel",      "War",          "Local", FALSE
@@ -1919,7 +1919,7 @@ actor_reqs    =
       "UnitTypeFlag", "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",    1,             "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "ExtraFlag",    "ParadropFrom", "Tile",  TRUE
       "UnitClassFlag", "HutFrighten", "Local", FALSE
     }
@@ -1936,7 +1936,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE
       "MinMoveFrags",  "6",              "Local",  TRUE
       "UnitState",     "Transporting",   "Local",  FALSE
-      "MinVeteran",     1,               "Local",  TRUE
+      "MinVeteran",    "1",              "Local",  TRUE
       "ExtraFlag",     "ParadropFrom",   "Tile",   TRUE
       "DiplRel",       "War",            "Local",  TRUE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE
@@ -1957,7 +1957,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE,      FALSE
       "MinMoveFrags",  "6",              "Local",  TRUE,      FALSE
       "UnitState",     "Transporting",   "Local",  FALSE,     FALSE
-      "MinVeteran",     1,               "Local",  TRUE,      FALSE
+      "MinVeteran",    "1",              "Local",  TRUE,      FALSE
       "ExtraFlag",     "ParadropFrom",   "Tile",   TRUE,      FALSE
       "DiplRel",       "War",            "Local",  TRUE,      FALSE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE,      FALSE
@@ -1978,7 +1978,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE
       "MinMoveFrags",  "6",              "Local",  TRUE
       "UnitState",     "Transporting",   "Local",  FALSE
-      "MinVeteran",     1,               "Local",  TRUE
+      "MinVeteran",    "1",              "Local",  TRUE
       "ExtraFlag",     "ParadropFrom",   "Tile",   TRUE
       "UnitClassFlag", "HutFrighten",    "Local",  FALSE
       "Building",      "Treuga Dei",     "World",  FALSE
@@ -1998,7 +1998,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE,      FALSE
       "MinMoveFrags",  "6",              "Local",  TRUE,      FALSE
       "UnitState",     "Transporting",   "Local",  FALSE,     FALSE
-      "MinVeteran",     1,               "Local",  TRUE,      FALSE
+      "MinVeteran",    "1",              "Local",  TRUE,      FALSE
       "ExtraFlag",     "ParadropFrom",   "Tile",   TRUE,      FALSE
       "UnitClassFlag", "HutFrighten",    "Local",  FALSE,     FALSE
       "Tech",          "Communism",      "World",  TRUE,      TRUE
@@ -2135,7 +2135,7 @@ actor_reqs    =
       "UnitTypeFlag", "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",   1,              "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "CityTile",     "Center",       "Tile",  TRUE
       "DiplRel",      "Peace",        "Local", FALSE
       "DiplRel",      "War",          "Local", FALSE
@@ -2153,7 +2153,7 @@ actor_reqs    =
       "UnitTypeFlag", "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",   1,              "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "CityTile",     "Center",       "Tile",  TRUE
       "UnitClassFlag", "HutFrighten", "Local", FALSE
     }
@@ -2170,7 +2170,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE
       "MinMoveFrags",  "6",              "Local",  TRUE
       "UnitState",     "Transporting",   "Local",  FALSE
-      "MinVeteran",    1,                "Local",  TRUE
+      "MinVeteran",    "1",              "Local",  TRUE
       "CityTile",      "Center",         "Tile",   TRUE
       "DiplRel",       "War",            "Local",  TRUE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE
@@ -2191,7 +2191,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE,      FALSE
       "MinMoveFrags",  "6",              "Local",  TRUE,      FALSE
       "UnitState",     "Transporting",   "Local",  FALSE,     FALSE
-      "MinVeteran",    1,                "Local",  TRUE,      FALSE
+      "MinVeteran",    "1",              "Local",  TRUE,      FALSE
       "CityTile",      "Center",         "Tile",   TRUE,      FALSE
       "DiplRel",       "War",            "Local",  TRUE,      FALSE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE,      FALSE
@@ -2212,7 +2212,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
-      "MinVeteran",    1,              "Local", TRUE
+      "MinVeteran",    "1",            "Local", TRUE
       "CityTile",      "Center",       "Tile",  TRUE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE
       "Building",      "Treuga Dei",   "World", FALSE
@@ -2231,7 +2231,7 @@ actor_reqs    =
       "UnitTypeFlag",  "Paratroopers", "Local", TRUE,      FALSE
       "MinMoveFrags",  "6",            "Local", TRUE,      FALSE
       "UnitState",     "Transporting", "Local", FALSE,     FALSE
-      "MinVeteran",    1,              "Local", TRUE,      FALSE
+      "MinVeteran",    "1",            "Local", TRUE,      FALSE
       "CityTile",      "Center",       "Tile",  TRUE,      FALSE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE,     FALSE
       "Tech",          "Communism",    "World", TRUE,      TRUE
-- 
2.43.0