From 1a2785663762931e58d2dab777351a43a1878af6 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 15 Aug 2024 17:19:14 +0300
Subject: [PATCH 6/6] Sandbox: Correct MinVeteran requirements' format

The value was given as an integer, though it should
be a string.

See RM #784

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/sandbox/game.ruleset | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index 0da1c74ce9..4867b98ccd 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -2010,7 +2010,7 @@ actor_reqs    =
       "UnitFlag",     "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",    1,             "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "ExtraFlag",    "ParadropFrom", "Local", TRUE
       "DiplRel",      "Peace",        "Local", FALSE
       "DiplRel",      "War",          "Local", FALSE
@@ -2028,7 +2028,7 @@ actor_reqs    =
       "UnitFlag",     "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",    1,             "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "ExtraFlag",    "ParadropFrom", "Local", TRUE
       "UnitClassFlag", "HutFrighten", "Local", FALSE
     }
@@ -2045,7 +2045,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers",  "Local", TRUE
       "MinMoveFrags",  "6",             "Local", TRUE
       "UnitState",     "Transporting",  "Local", FALSE
-      "MinVeteran",     1,              "Local", TRUE
+      "MinVeteran",    "1",             "Local", TRUE
       "ExtraFlag",     "ParadropFrom",  "Local", TRUE
       "DiplRel",       "War",           "Local", TRUE
       "UnitClassFlag", "CanOccupyCity", "Local", TRUE
@@ -2065,7 +2065,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers",  "Local", TRUE,      FALSE
       "MinMoveFrags",  "6",             "Local", TRUE,      FALSE
       "UnitState",     "Transporting",  "Local", FALSE,     FALSE
-      "MinVeteran",     1,              "Local", TRUE,      FALSE
+      "MinVeteran",    "1",             "Local", TRUE,      FALSE
       "ExtraFlag",     "ParadropFrom",  "Local", TRUE,      FALSE
       "DiplRel",       "War",           "Local", TRUE,      FALSE
       "UnitClassFlag", "CanOccupyCity", "Local", TRUE,      FALSE
@@ -2085,7 +2085,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
-      "MinVeteran",     1,             "Local", TRUE
+      "MinVeteran",    "1",            "Local", TRUE
       "ExtraFlag",     "ParadropFrom", "Local", TRUE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE
       "Building",      "Treuga Dei",   "World", FALSE
@@ -2104,7 +2104,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE,      FALSE
       "MinMoveFrags",  "6",            "Local", TRUE,      FALSE
       "UnitState",     "Transporting", "Local", FALSE,     FALSE
-      "MinVeteran",     1,             "Local", TRUE,      FALSE
+      "MinVeteran",    "1",            "Local", TRUE,      FALSE
       "ExtraFlag",     "ParadropFrom", "Local", TRUE,      FALSE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE,     FALSE
       "Tech",          "Communism",    "World", TRUE,      TRUE
@@ -2236,7 +2236,7 @@ actor_reqs    =
       "UnitFlag",     "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",   1,              "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "CityTile",     "Center",       "Local", TRUE
       "DiplRel",      "Peace",        "Local", FALSE
       "DiplRel",      "War",          "Local", FALSE
@@ -2254,7 +2254,7 @@ actor_reqs    =
       "UnitFlag",     "Paratroopers", "Local", TRUE
       "MinMoveFrags", "6",            "Local", TRUE
       "UnitState",    "Transporting", "Local", FALSE
-      "MinVeteran",   1,              "Local", TRUE
+      "MinVeteran",   "1",            "Local", TRUE
       "CityTile",     "Center",       "Local", TRUE
       "UnitClassFlag", "HutFrighten", "Local", FALSE
     }
@@ -2271,7 +2271,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
-      "MinVeteran",    1,              "Local", TRUE
+      "MinVeteran",    "1",            "Local", TRUE
       "CityTile",      "Center",       "Local", TRUE
       "DiplRel",       "War",          "Local", TRUE
       "UnitClassFlag", "CanOccupyCity","Local", TRUE
@@ -2291,7 +2291,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE,      FALSE
       "MinMoveFrags",  "6",            "Local", TRUE,      FALSE
       "UnitState",     "Transporting", "Local", FALSE,     FALSE
-      "MinVeteran",    1,              "Local", TRUE,      FALSE
+      "MinVeteran",    "1",            "Local", TRUE,      FALSE
       "CityTile",      "Center",       "Local", TRUE,      FALSE
       "DiplRel",       "War",          "Local", TRUE,      FALSE
       "UnitClassFlag", "CanOccupyCity","Local", TRUE,      FALSE
@@ -2311,7 +2311,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
-      "MinVeteran",    1,              "Local", TRUE
+      "MinVeteran",    "1",            "Local", TRUE
       "CityTile",      "Center",       "Local", TRUE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE
       "Building",      "Treuga Dei",   "World", FALSE
@@ -2330,7 +2330,7 @@ actor_reqs    =
       "UnitFlag",      "Paratroopers", "Local", TRUE,      FALSE
       "MinMoveFrags",  "6",            "Local", TRUE,      FALSE
       "UnitState",     "Transporting", "Local", FALSE,     FALSE
-      "MinVeteran",    1,              "Local", TRUE,      FALSE
+      "MinVeteran",    "1",            "Local", TRUE,      FALSE
       "CityTile",      "Center",       "Local", TRUE,      FALSE
       "UnitClassFlag", "HutFrighten",  "Local", FALSE,     FALSE
       "Tech",          "Communism",    "World", TRUE,      TRUE
-- 
2.43.0