From bcca3731b7a388f2a7b2cb2dc25990b8543c7902 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 17 Aug 2024 00:32:35 +0300
Subject: [PATCH 15/15] Add Minnesotan nation

Ruleset by _Rorr404, with minor adjustment by me

See RM #709

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/default/nationlist.ruleset       |   1 +
 data/flags/Makefile.am                |   5 +
 data/flags/minnesota-large.png        | Bin 0 -> 620 bytes
 data/flags/minnesota-shield-large.png | Bin 0 -> 366 bytes
 data/flags/minnesota-shield.png       | Bin 0 -> 315 bytes
 data/flags/minnesota.png              | Bin 0 -> 497 bytes
 data/flags/minnesota.svg              |   1 +
 data/misc/flags-large.spec            |   1 +
 data/misc/flags.spec                  |   2 +
 data/misc/shields-large.spec          |   1 +
 data/misc/shields.spec                |   1 +
 data/nation/Makefile.am               |   1 +
 data/nation/minnesotan.ruleset        | 153 ++++++++++++++++++++++++++
 meson.build                           |   2 +
 14 files changed, 168 insertions(+)
 create mode 100644 data/flags/minnesota-large.png
 create mode 100644 data/flags/minnesota-shield-large.png
 create mode 100644 data/flags/minnesota-shield.png
 create mode 100644 data/flags/minnesota.png
 create mode 100644 data/flags/minnesota.svg
 create mode 100644 data/nation/minnesotan.ruleset

diff --git a/data/default/nationlist.ruleset b/data/default/nationlist.ruleset
index 4d1decd429..b7983407c2 100644
--- a/data/default/nationlist.ruleset
+++ b/data/default/nationlist.ruleset
@@ -453,6 +453,7 @@ default_nationset = "all"
 *include "nation/micronesian.ruleset"
 *include "nation/mikmaq.ruleset"
 *include "nation/milanese.ruleset"
+*include "nation/minnesotan.ruleset"
 *include "nation/miskito.ruleset"
 *include "nation/mitanni.ruleset"
 *include "nation/mixtec.ruleset"
diff --git a/data/flags/Makefile.am b/data/flags/Makefile.am
index e352bb344e..0f23a37643 100644
--- a/data/flags/Makefile.am
+++ b/data/flags/Makefile.am
@@ -338,6 +338,7 @@ flag_files =				\
 		micronesia.png		\
 		mikmaq.png		\
 		milan.png		\
+		minnesota.png		\
 		miskito.png		\
 		mitanni.png		\
 		mixtec.png		\
@@ -917,6 +918,7 @@ flag_files =				\
 		micronesia-large.png		\
 		mikmaq-large.png		\
 		milan-large.png		\
+		minnesota-large.png		\
 		miskito-large.png		\
 		mitanni-large.png		\
 		mixtec-large.png		\
@@ -1498,6 +1500,7 @@ shield_files =					\
 		micronesia-shield.png		\
 		mikmaq-shield.png		\
 		milan-shield.png		\
+		minnesota-shield.png		\
 		miskito-shield.png		\
 		mitanni-shield.png		\
 		mixtec-shield.png		\
@@ -2077,6 +2080,7 @@ shield_files =					\
 		micronesia-shield-large.png		\
 		mikmaq-shield-large.png		\
 		milan-shield-large.png		\
+		minnesota-shield-large.png		\
 		miskito-shield-large.png		\
 		mitanni-shield-large.png		\
 		mixtec-shield-large.png		\
@@ -2658,6 +2662,7 @@ svg_files = 				\
 		micronesia.svg		\
 		mikmaq.svg		\
 		milan.svg		\
+		minnesota.svg		\
 		miskito.svg		\
 		mitanni.svg		\
 		mixtec.svg		\
diff --git a/data/flags/minnesota-large.png b/data/flags/minnesota-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..80642291e31f64fcf385f7ba0e83e578287c4535
GIT binary patch
diff --git a/data/flags/minnesota-shield-large.png b/data/flags/minnesota-shield-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..363407f6e162ccb19ab313ba538e6f6c949a040a
GIT binary patch
diff --git a/data/flags/minnesota-shield.png b/data/flags/minnesota-shield.png
new file mode 100644
index 0000000000000000000000000000000000000000..86aebc9bb16ef1da5c0977c3ca96c19522808251
GIT binary patch
diff --git a/data/flags/minnesota.png b/data/flags/minnesota.png
new file mode 100644
index 0000000000000000000000000000000000000000..4b8b64737d028dbac3d9f329cb2d927b788ee86a
GIT binary patch
diff --git a/data/flags/minnesota.svg b/data/flags/minnesota.svg
new file mode 100644
index 0000000000..990225bc3a
--- /dev/null
+++ b/data/flags/minnesota.svg
@@ -0,0 +1 @@
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="900" height="600"><path fill="#73C6E5" d="M0 0h1000v600H0z"/><path fill="#002C5A" d="M0 0h560L390 300l170 300H0Z"/><g fill="#FFF"><g id="b"><path id="a" d="m210 190 v90 l45 20 45-20z" transform="rotate(22.5 210 190)"/><use xlink:href="#a" transform="rotate(180 210, 300)"/></g><use xlink:href="#b" transform="rotate(45 210 300)"/><use xlink:href="#b" transform="rotate(135 210 300)"/><use xlink:href="#b" transform="rotate(270 210 300)"/></g></svg>
\ No newline at end of file
diff --git a/data/misc/flags-large.spec b/data/misc/flags-large.spec
index f2ee138e33..cbe5603033 100644
--- a/data/misc/flags-large.spec
+++ b/data/misc/flags-large.spec
@@ -347,6 +347,7 @@ sprites =
 		"f.micronesia", "flags/micronesia-large"
 		"f.mikmaq", "flags/mikmaq-large"
 		"f.milan", "flags/milan-large"
+		"f.minnesota", "flags/minnesota-large"
 		"f.miskito", "flags/miskito-large"
 		"f.mitanni", "flags/mitanni-large"
 		"f.mixtec", "flags/mixtec-large"
diff --git a/data/misc/flags.spec b/data/misc/flags.spec
index a20aaee798..076202b48c 100644
--- a/data/misc/flags.spec
+++ b/data/misc/flags.spec
@@ -345,6 +345,7 @@ artists = "
    Micronesia		SKopp (Wikimedia commons)
    Mikmaq		Daniel Markstedt
    Milan		Flanker (Wikimedia Commons)
+   Minnesota            Wikimedia Commons
    Miskito		Daniel Markstedt
    Mitanni		Snubcube (Wikimedia Commons) and J.M. Maalderink
    Mixtec		J.M. Maalderink
@@ -927,6 +928,7 @@ sprites =
 		"f.micronesia", "flags/micronesia"
 		"f.mikmaq", "flags/mikmaq"
 		"f.milan", "flags/milan"
+		"f.minnesota", "flags/minnesota"
 		"f.miskito", "flags/miskito"
 		"f.mitanni", "flags/mitanni"
 		"f.mixtec", "flags/mixtec"
diff --git a/data/misc/shields-large.spec b/data/misc/shields-large.spec
index cfeac7065d..8f3feb7db9 100644
--- a/data/misc/shields-large.spec
+++ b/data/misc/shields-large.spec
@@ -347,6 +347,7 @@ sprites =
 		"f.shield.micronesia", "flags/micronesia-shield-large"
 		"f.shield.mikmaq", "flags/mikmaq-shield-large"
 		"f.shield.milan", "flags/milan-shield-large"
+		"f.shield.minnesota", "flags/minnesota-shield-large"
 		"f.shield.miskito", "flags/miskito-shield-large"
 		"f.shield.mitanni", "flags/mitanni-shield-large"
 		"f.shield.mixtec", "flags/mixtec-shield-large"
diff --git a/data/misc/shields.spec b/data/misc/shields.spec
index f04e3e5765..f107b36d3e 100644
--- a/data/misc/shields.spec
+++ b/data/misc/shields.spec
@@ -346,6 +346,7 @@ sprites =
 		"f.shield.micronesia", "flags/micronesia-shield"
 		"f.shield.mikmaq", "flags/mikmaq-shield"
 		"f.shield.milan", "flags/milan-shield"
+		"f.shield.minnesota", "flags/minnesota-shield"
 		"f.shield.miskito", "flags/miskito-shield"
 		"f.shield.mitanni", "flags/mitanni-shield"
 		"f.shield.mixtec", "flags/mixtec-shield"
diff --git a/data/nation/Makefile.am b/data/nation/Makefile.am
index 04afa1a569..2e3bddf0ff 100644
--- a/data/nation/Makefile.am
+++ b/data/nation/Makefile.am
@@ -337,6 +337,7 @@ pkgdata_DATA = \
 		micronesian.ruleset \
 		mikmaq.ruleset \
 		milanese.ruleset \
+		minnesotan.ruleset \
 		miskito.ruleset \
 		mitanni.ruleset \
 		mixtec.ruleset \
diff --git a/data/nation/minnesotan.ruleset b/data/nation/minnesotan.ruleset
new file mode 100644
index 0000000000..3a7cc2c6c3
--- /dev/null
+++ b/data/nation/minnesotan.ruleset
@@ -0,0 +1,153 @@
+[nation_minnesotan]
+
+name   = _("Minnesotan")
+plural = _("?plural:Minnesotans")
+groups = "American"
+legend = _("Minnesota is a state located in the American Midwest\
+ notable for its cold environment and many lakes present. It was\
+ admitted into the union as a state on May 11th, 1858.")
+
+leaders = {
+ "name",                        "sex"
+ "Henry Hastings Sibley",       "Male"   ; (1811-1891) First governor of Minnesota.
+ "Tahshinahohindoway",          "Female" ; First wife of Henry Hastings Sibley
+ "Alexander Ramsey",            "Male"   ; (1815-1903) First Republican governor of Minnesota.
+ "John S. Pillsbury",           "Male"   ; (1827-1901)
+ "Joseph A. A. Burnquist",      "Male"   ; (1979-1961)
+ "Floyd B. Olson",              "Male"   ; (1891-1936) First Farmer-Labor governor.
+ "Harold Stassen",              "Male"   ; (1907-2001)
+ "Orville Freeman",             "Male"   ; (1918-2003) First Democratic-Farmer-Labor governor.
+ "Karl Rolvaag",                "Male"   ; (1913-1990)
+ "Al Quie",                     "Male"   ; (1923-2023) First Independent-Repubican governor.
+ "Marlene Johnson",             "Female" ; (1946-) First woman to serve as lieutenant governor.
+ "Jesse Ventura",               "Male"   ; (1951-) The wrestling guy.
+}
+
+ruler_titles = {
+ "government",      "male_title",         "female_title"
+ "Republic",        _("Governeror %s"),   _("?female:Governeror %s")
+ "Democracy",       _("Speaker %s"),      _("?female:Speaker %s")
+ "Fundamentalism",  _("Reverend %s"),     _("?female:Reverend %s")
+}
+
+flag = "minnesota"
+flag_alt = "american"
+style = "Celtic"
+
+init_techs = ""
+init_buildings = ""
+init_units = ""
+
+conflicts_with = "american"
+civilwar_nations = "american", "sioux", "canadian"
+
+cities =
+ "St. Paul (!ocean, !hills, !mountains, !desert, !jungle)",
+ "Minneapolis (!ocean, !hills, !mountains, !desert, !jungle)",
+ "Rochester",
+ "Bloomington",
+ "Duluth",
+ "Brooklyn Park",
+ "Plymouth",
+ "Woodbury",
+ "Maple Grove",
+ "Blaine",
+ "Lakeville",
+ "St. Cloud",
+ "Eagan",
+ "Burnsville",
+ "Eden Prarie",
+ "Coon Rapids (river)",
+ "Apple Valley",
+ "Minnetonka",
+ "Edina",
+ "St. Louis Park",
+ "Moorhead",
+ "Mankato",
+ "Shakopee",
+ "Maplewood (forest)",
+ "Cottage Grove",
+ "Richfield",
+ "Roseville",
+ "Inner Grove Heights",
+ "Brooklyn Center",
+ "Andover",
+ "Savage",
+ "Fridley",
+ "Oakdale",
+ "Chaska",
+ "Ramsey",
+ "Prior Lake",
+ "Shoreview",
+ "Owatonna",
+ "Austin",
+ "Winona",
+ "Chanhassen",
+ "Elk River (river)",
+ "Rosemount",
+ "White Bear Lake",
+ "Faribault",
+ "Champlin",
+ "Farmington",
+ "New Brighton",
+ "Crystal",
+ "Golden Valley",
+ "Hastings",
+ "New Hope",
+ "Columbia Heights",
+ "Lino Lakes ",
+ "Willmar",
+ "Northfield",
+ "South St. Paul",
+ "West St. Paul",
+ "Forest Lake (forest)",
+ "Otsego",
+ "Stillwater",
+ "Sartell",
+ "Hopkins",
+ "Albert Lea",
+ "St. Michael",
+ "Buffalo",
+ "Anoka",
+ "Red Wing",
+ "Ham Lake",
+ "Hibbing",
+ "Hugo",
+ "Robbinsdale",
+ "Hutchinson",
+ "Bemidji (forest, river, !desert)",
+ "Monticello",
+ "Brainerd",
+ "Alexandria",
+ "North Mankato",
+ "New Ulm",
+ "Fergus Falls",
+ "Worthington",
+ "Sauk Rapids (river)",
+ "Marshall",
+ "Rogers",
+ "Mounds View (hills)",
+ "Waconia",
+ "Vadnais Heights",
+ "Cloquet",
+ "North St. Paul",
+ "St. Peter",
+ "East Bethel",
+ "Mendota Heights",
+ "Big Lake (ocean)",
+ "Lake Elmo",
+ "Grand Rapids",
+ "Little Canada",
+ "North Branch",
+ "Victoria",
+ "Fairmont",
+ "Hermantown",
+ "Arden Hills",
+ "Detroit Lakes",
+ "Cambridge",
+ "Mound",
+ "St. Anthony Village",
+ "Waseca",
+ "East Grand Forks",
+ "Little Falls",
+ "Oak Grove (forest)"
diff --git a/meson.build b/meson.build
index 4704d56646..0d8b200673 100644
--- a/meson.build
+++ b/meson.build
@@ -1914,6 +1914,7 @@ nations = [
   'micronesian',
   'mikmaq',
   'milanese',
+  'minnesotan',
   'miskito',
   'mitanni',
   'mixtec',
@@ -2717,6 +2718,7 @@ flags = [
   'micronesia',
   'mikmaq',
   'milan',
+  'minnesota',
   'miskito',
   'mitanni',
   'mixtec',
-- 
2.43.0